> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> Lists the currently available models, and provides basic information about each one such as the owner and availability.



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/models
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/models:
    get:
      tags:
        - models
      summary: List models
      description: >-
        Lists the currently available models, and provides basic information
        about each one such as the owner and availability.
      operationId: show_available_models_v1_models_get
      parameters:
        - name: ai_project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Project ID to list models from.
            title: Ai Project Id
          description: Project ID to list models from.
        - name: verbose
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Verbose
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListModelResponse'
              example:
                object: list
                data:
                  - id: meta-llama/Llama-3.3-70B-Instruct
                    created: 1717511223
                    object: model
                    owned_by: system
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListModelResponse:
      properties:
        object:
          allOf:
            - $ref: '#/components/schemas/ListObject'
          description: The object type, which is always `list`.
        data:
          items:
            anyOf:
              - $ref: '#/components/schemas/app__models__models__Model'
              - $ref: '#/components/schemas/RichModel'
          type: array
          title: Data
          description: A list of currently available models.
      type: object
      required:
        - object
        - data
      title: ListModelResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ListObject:
      type: string
      enum:
        - list
      const: list
      title: ListObject
    app__models__models__Model:
      properties:
        id:
          type: string
          title: Id
          description: The model identifier, which can be referenced in the API endpoints.
        created:
          type: integer
          title: Created
          description: The Unix timestamp (in seconds) when the model was created.
        object:
          allOf:
            - $ref: '#/components/schemas/ModelObject'
          description: The object type, which is always 'model'.
        owned_by:
          type: string
          title: Owned By
          description: The organization that owns the model.
        status:
          anyOf:
            - $ref: '#/components/schemas/ModelStatus'
            - type: 'null'
      type: object
      required:
        - id
        - created
        - object
        - owned_by
      title: Model
    RichModel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created:
          type: integer
          title: Created
        description:
          type: string
          title: Description
        context_length:
          type: integer
          title: Context Length
        architecture:
          $ref: '#/components/schemas/Architecture'
        quantization:
          anyOf:
            - $ref: '#/components/schemas/QuantizationType'
            - type: 'null'
        pricing:
          $ref: '#/components/schemas/Pricing'
        per_request_limits:
          anyOf:
            - additionalProperties:
                type: number
              type: object
            - type: 'null'
          title: Per Request Limits
        status:
          anyOf:
            - $ref: '#/components/schemas/ModelStatus'
            - type: 'null'
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
        object:
          type: string
          title: Object
          default: model
        owned_by:
          type: string
          title: Owned By
          default: system
        regions:
          anyOf:
            - items:
                $ref: '#/components/schemas/RichModelRegion'
              type: array
            - type: 'null'
          title: Regions
        supported_features:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Supported Features
        supported_sampling_parameters:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Supported Sampling Parameters
      type: object
      required:
        - id
        - name
        - created
        - description
        - context_length
        - architecture
        - pricing
      title: RichModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ModelObject:
      type: string
      enum:
        - model
      const: model
      title: ModelObject
    ModelStatus:
      type: string
      enum:
        - validating
        - active
        - error
        - deleted
      title: ModelStatus
      description: Enum representing the possible statuses of a model.
    Architecture:
      properties:
        modality:
          type: string
          title: Modality
        tokenizer:
          type: string
          title: Tokenizer
        instruct_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Instruct Type
      type: object
      required:
        - modality
        - tokenizer
        - instruct_type
      title: Architecture
    QuantizationType:
      type: string
      enum:
        - int4
        - int8
        - fp4
        - fp6
        - fp8
        - fp16
        - bf16
        - fp32
      title: QuantizationType
      description: >-
        Allowed quantization types according to
        https://openrouter.ai/docs/use-cases/for-providers.
    Pricing:
      properties:
        prompt:
          type: string
          title: Prompt
          default: '0'
        completion:
          type: string
          title: Completion
          default: '0'
        image:
          type: string
          title: Image
          default: '0'
        price_per_video_second:
          type: string
          title: Price Per Video Second
          default: '0'
        request:
          type: string
          title: Request
          default: '0'
        price_per_minute:
          type: string
          title: Price Per Minute
          default: '0'
      type: object
      title: Pricing
    RichModelRegion:
      properties:
        country_code:
          type: string
          title: Country Code
        name:
          type: string
          title: Name
      type: object
      required:
        - country_code
        - name
      title: RichModelRegion
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````